<!DOCTYPE html>
<html>
  <head>
    <title>Car Models</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  </head>
  <body>
    <header class="bg-info text-white py-3">
      <div class="container d-flex justify-content-between">
        <h1 class="mb-0">Car Models and Components</h1>
        <div>
          <a href="/add-car" class="btn btn-light mr-2">Add a new car</a>
          <a href="/delete-car" class="btn btn-light mr-2">Delete</a>
          <a href="/search" class="btn btn-light">Search</a>
        </div>
      </div>
    </header>

    <div class="container my-4">
      <h2 class="mb-4">Here is the list of all models:</h2>
      <div class="row">
        <% models.forEach(model => { %>
          <div class="col-md-4 mb-4">
            <div class="card">
              <div class="card-body text-center">
                <h5 class="card-title"><a class="text-dark" href="/car/<%= model.name %>"><%= model.name %></a></h5>
              </div>
            </div>
          </div>
        <% }); %>
      </div>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  </body>
</html>
